using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp
{
    internal class Program
    {
        static void Main(string[] args)
        {
            SoftekBarcodeNet.BarcodeReader barcode = new SoftekBarcodeNet.BarcodeReader("../../../DLL");

            // Set some properties
            //barcode.LicenseKey = "set your license key here";
            barcode.ReadDataMatrix = false;
            barcode.ReadQRCode = true;

            // Read the barcodes from an image
            int n = barcode.ScanBarCode(@"image.tif");

            // Get the results
            if (n == 0)
            {
                Console.WriteLine("No barcode found on this image");
            }
            else if (n > 0)
            {
                Console.WriteLine("Found the following barcodes...");
                for (int i = 1; i <= n; i++)
                {
                    Console.WriteLine("Barcode: " + i.ToString());
                    Console.WriteLine("Value: " + barcode.GetBarString(i).ToString());
                    Console.WriteLine("Type: " + barcode.GetBarStringType(i).ToString());
                    Console.WriteLine("Page: " + barcode.GetBarStringPage(i).ToString());
                    Console.WriteLine("Top left X: " + barcode.GetBarStringTlx(i).ToString());
                    Console.WriteLine("Top Left Y: " + barcode.GetBarStringTly(i).ToString());
                    Console.WriteLine("Bottom Right X: " + barcode.GetBarStringBrx(i).ToString());
                    Console.WriteLine("Bottom Right Y: " + barcode.GetBarStringBry(i).ToString());
                    Console.WriteLine("");

                }
            }
            else
            {
                Console.WriteLine("There was an error: " + barcode.GetLastError().ToString());
            }
        }
    }
}
